package com.rehome.jpahefengweather.dto;


import com.rehome.jpahefengweather.utils.MapUtil;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-08-23 11:13
 */
//@ApiModel(value = "TyhoonActivityDto", description = "实时活跃台风")
public class TyhoonActivityDto {

    //@ApiModelProperty("台风英文名")
    private String enname;
    //@ApiModelProperty("纬度")
    private String lat;
    //@ApiModelProperty("经度")
    private String lng;
    //@ApiModelProperty("台风移动方向")
    private String movedirection;
    //@ApiModelProperty("台风移动速速")
    private String movespeed;
    //@ApiModelProperty("台风中文名")
    private String name;
    //@ApiModelProperty("台风风力等级")
    private String power;
    //@ApiModelProperty("中心气压，大气压强，默认单位：百帕")
    private String pressure;
    //@ApiModelProperty("七级风速圈半径")
    private String radius7;
    //@ApiModelProperty("十级风速圈半径")
    private String radius10;
    //@ApiModelProperty("十二级风速圈半径")
    private String radius12;
    //@ApiModelProperty("台风风速")
    private String speed;
    //@ApiModelProperty("台风等级名称")
    private String strong;
    //@ApiModelProperty("台风id")
    private String tfid;
    //@ApiModelProperty("发布时间")
    private String time;
    //@ApiModelProperty("发布时间格式化")
    private String timeformate;


    /**
     * 根据 map 还原 TyhoonActivityDto
     *
     * @param map 映射map
     * @return com.rehome.jpahefengweather.dto.TyhoonActivityDto
     * @author HuangWenFei
     * Created DateTime 2022-08-23 11:13
     */
    public static TyhoonActivityDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, TyhoonActivityDto.class);
    }

    public String getEnname() {
        return enname;
    }

    public void setEnname(String enname) {
        this.enname = enname;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getMovedirection() {
        return movedirection;
    }

    public void setMovedirection(String movedirection) {
        this.movedirection = movedirection;
    }

    public String getMovespeed() {
        return movespeed;
    }

    public void setMovespeed(String movespeed) {
        this.movespeed = movespeed;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPower() {
        return power;
    }

    public void setPower(String power) {
        this.power = power;
    }

    public String getPressure() {
        return pressure;
    }

    public void setPressure(String pressure) {
        this.pressure = pressure;
    }

    public String getRadius7() {
        return radius7;
    }

    public void setRadius7(String radius7) {
        this.radius7 = radius7;
    }

    public String getRadius10() {
        return radius10;
    }

    public void setRadius10(String radius10) {
        this.radius10 = radius10;
    }

    public String getRadius12() {
        return radius12;
    }

    public void setRadius12(String radius12) {
        this.radius12 = radius12;
    }

    public String getSpeed() {
        return speed;
    }

    public void setSpeed(String speed) {
        this.speed = speed;
    }

    public String getStrong() {
        return strong;
    }

    public void setStrong(String strong) {
        this.strong = strong;
    }

    public String getTfid() {
        return tfid;
    }

    public void setTfid(String tfid) {
        this.tfid = tfid;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getTimeformate() {
        return timeformate;
    }

    public void setTimeformate(String timeformate) {
        this.timeformate = timeformate;
    }
}
